/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\ARIgnore.cs
Lines of code: 40

Description: 

***********************************************************/


//////////////////////
//Created By Nos//////
//////////////////////
using System;
using Server;

namespace Server.Items
{
	public class ARIgnore : Longsword
	{

	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public ARIgnore()
	 	{
	 	 	Name = "Armor Ignore";
	 	 	Hue = 55;

			Attributes.AttackChance = 8;
			WeaponAttributes.HitLeechHits = 25;
			WeaponAttributes.HitLeechMana = 25;
			WeaponAttributes.HitFireball = 25;
			
			AosElementDamages.Direct=10;
			AosElementDamages.Physical=90;			
	 	}

	 	public ARIgnore(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}
		
				
		public override void OnAfterLoad()
		{
			Item i = Activator.CreateInstance( Misc.TreasuresOfFelucca.m_LesserArtifacts[Utility.Random( Misc.TreasuresOfFelucca.m_LesserArtifacts.Length )] ) as Item;			
			
			
			Misc.ObjectConverter.ConvertItem(this,i);
		}
	}
}
